Faculty/Staff Personal Website (sites.msudenver.edu) Plug-in and Theme FAQ's

How can additional sites.msudenver.edu themes and/or plugins be requested?

The sites.msudenver.edu system is running the WordPress engine with a multi-site configuration that hosts various WordPress instances.  We have limited support to install plug-ins and themes, however, if you would like to request a plug-in or theme, they must meet the following requirements below:

  • Plug-in or Theme must meet ADA compliance.  Themes must be listed on wordpress.org under the category "accessibility-ready".  Theme accessibility can be reviewed by visiting https://wordpress.org/themes/ and click on the Feature Filter button and check the box for "Accessibility Ready", and click "Apply Filter" to see a list of accessibility-ready plugins that have been reviewed by WordPress.  Plugins would require the developer to provide us a VPAT statement of ADA compliance with their plugin.
     
  • Plug-in or Theme must be WordPress Multi-Site compatible.  Please refer to the specific plug-in or themes website on wordpress.org for more information to determine if it meets multi-site compatibility.
     
  • Plug-in or Theme must be made available free of charge
  • Requests for plug-in or theme must have a plug-in URL from wordpress.org.  Below are the search sites for locating the plug-in wordpress.org page:
  • Plug-in or Theme should have a minimum of 30,000 installations.  The number of installations indicates the quality of the plugin/theme, as well as the level of the ongoing support of the developer, which is providing for keeping the plugin/theme updated for future releases of WordPress.
     
  • Plug-in or Theme should have been updated in the last calendar year.  Requests for a plugin or theme that have not been updated in the last year can be considered, however may not be compatible as they may not support the current version of WordPress we are running.

All Requests for plug-ins or themes go through a review process to determine compatibility and a security assessment by our ITS Security team to ensure the plug-ins currently do not pose a threat to the WordPress environment. 

Requests for plug-ins should be made in advance as this process can take 4-6 weeks to evaluate, test, and install plug-ins into the production WordPress system.

If you would like to propose a potential WordPress plug-in or theme for consideration, please complete an ITS Service request form at https://msudenver.teamdynamix.com/TDClient/2313/Portal/Home/ with the following information (the more information provided in the initial request will help expedite the process):

  • Name, Department, contact phone, and email
  • Name of WordPress plugin or theme
  • wordpress.org URL of the plug-in or theme
     

How do I know what themes and plug-ins are already approved and installed on sites.msudenver.edu?

Below is a current list of themes and plug-ins installed on sites.msudenver.edu as of the last update of this article:

Plug-ins:

Themes - "Accessible ready" (ADA compliance reviewed by wordpress.org):

Decommissioned Themes (wordpress.org discontinued ADA "accessibility ready" status):

  • Business One
  • Coraline
  • Customizr
  • Eclipse
  • Esquire
  • Flat Responsive
  • Graphene
  • Haxel
  • iFeature
  • Magazine Basic
  • Mantra
  • Mystique
  • Pilcrow
  • Sliding Door
  • Spacious
  • Twenty eleven
  • Twenty Ten
  • Twenty Twelve

Details

Article ID: 133951
Created
Wed 7/7/21 12:39 PM
Modified
Tue 7/13/21 12:27 PM